Apache log4cxx: HTMLLayout Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# HTMLLayout Class Reference

Inherits Layout.

List of all members.

## Detailed Description

This layout outputs events in a HTML table.

## Public Member Functions
| HTMLLayout ()
void | setLocationInfo (bool locationInfoFlag)
| The LocationInfo option takes a boolean value.
bool | getLocationInfo () const
| Returns the current value of the LocationInfo option.
void | setTitle (const LogString &title1)
| The Title option takes a String value.
const LogString & | getTitle () const
| Returns the current value of the Title option.
virtual LogString | getContentType () const
| Returns the content type output by this layout, i.e "text/html".
virtual void | activateOptions (log4cxx::helpers::Pool &)
| No options to activate.
virtual void | setOption (const LogString &option, const LogString &value)
| Set options.
virtual void | format (LogString &output, const spi::LoggingEventPtr &event, log4cxx::helpers::Pool &pool) const
| Implement this method to create your own layout format.
virtual void | appendHeader (LogString &output, log4cxx::helpers::Pool &pool)
| Append appropriate HTML headers.
virtual void | appendFooter (LogString &output, log4cxx::helpers::Pool &pool)
| Append the appropriate HTML footers.
virtual bool | ignoresThrowable () const
| The HTML layout handles the throwable contained in logging events.

## Constructor & Destructor Documentation

HTMLLayout | ( |  | ) |

## Member Function Documentation

virtual void activateOptions | ( | log4cxx::helpers::Pool & |  | ) | `[inline, virtual]`

| No options to activate. Implements OptionHandler.

virtual void appendFooter | ( | LogString & | output,
|  | log4cxx::helpers::Pool & | pool
| ) | `[virtual]`

| Append the appropriate HTML footers. Reimplemented from Layout.

virtual void appendHeader | ( | LogString & | output,
|  | log4cxx::helpers::Pool & | pool
| ) | `[virtual]`

| Append appropriate HTML headers. Reimplemented from Layout.

virtual void format | ( | LogString & | output,
|  | const spi::LoggingEventPtr & | event,
|  | log4cxx::helpers::Pool & | pool
| ) | const`[virtual]`

| Implement this method to create your own layout format. Implements Layout.

virtual LogString getContentType | ( |  | ) | const`[inline, virtual]`

| Returns the content type output by this layout, i.e "text/html". Reimplemented from Layout.

bool getLocationInfo | ( |  | ) | const`[inline]`

| Returns the current value of the LocationInfo option.

const LogString& getTitle | ( |  | ) | const`[inline]`

| Returns the current value of the Title option.

virtual bool ignoresThrowable | ( |  | ) | const`[inline, virtual]`

| The HTML layout handles the throwable contained in logging events. Hence, this method return `false`. Implements Layout.

void setLocationInfo | ( | bool | locationInfoFlag | ) | `[inline]`

| The LocationInfo option takes a boolean value. By default, it is set to false which means there will be no location information output by this layout. If the the option is set to true, then the file name and line number of the statement at the origin of the log statement will be output. If you are embedding this layout within an SMTPAppender then make sure to set the LocationInfo option of that appender as well.

virtual void setOption | ( | const LogString & | option,
|  | const LogString & | value
| ) | `[virtual]`

| Set options. Implements OptionHandler.

void setTitle | ( | const LogString & | title1 | ) | `[inline]`

| The Title option takes a String value. This option sets the document title of the generated HTML document. Defaults to 'Log4cxx Log Messages'.

The documentation for this class was generated from the following file:

- htmllayout.h